# /cosmos/staking/v1beta1/validators/{}/delegation/{}/unbonding\_delegation

#### **Parameters:**

**validator\_address - string**, validator\_address defines the validator address to query for.

**delegator\_address - string**, delegator\_address defines the delegator address to query for.

#### Example:

{% code overflow="wrap" %}

```json
// Request
curl -X GET -H 'Content-Type: application/json' https://zetachain.blockpi.network/lcd/v1/<your-api-key>/cosmos/staking/v1beta1/validators/zetavaloper1t4zkm98wf625k7y5ntv850rqzy3rd4a05vzq2r/delegations/zeta1t4zkm98wf625k7y5ntv850rqzy3rd4a0sv6u84/unbonding_delegation

// Result
{
  "code": 5,
  "message": "rpc error: code = NotFound desc = unbonding delegation with delegator zeta1t4zkm98wf625k7y5ntv850rqzy3rd4a0sv6u84 not found for validator zetavaloper1t4zkm98wf625k7y5ntv850rqzy3rd4a05vzq2r: key not found",
  "details": []
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.blockpi.io/build/api-reference/zetachain/cosmos-staking-v1beta1-validators-delegation-unbonding_delegation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
